
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android利用StatFs查看SDCard物理信息 / iVAN</title>

    <meta name="description" content="Android利用StatFs查看SDCard物理信息 package cn.sohu.com; //1 查看SDCard相关信息的主要使用到的是StatFs类,没有其余难点 //2 从SDCard中读取txt文件要注意 // 第一:txt文件应该要按照UTF-8保存的.因为默认的是ANSI编码的!!!!! // 第二:不能使用openFileInput(filePath)方法获取输入流.因为此方法的参数要求不能含有路径分隔符. // 若这么做,报错:------------------cannot contain path separator //">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android利用StatFs查看SDCard物理信息</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<pre>package cn.sohu.com;
//1 查看SDCard相关信息的主要使用到的是StatFs类,没有其余难点
//2 从SDCard中读取txt文件要注意
//  第一:txt文件应该要按照UTF-8保存的.因为默认的是ANSI编码的！！！！！
//  第二:不能使用openFileInput(filePath)方法获取输入流.因为此方法的参数要求不能含有路径分隔符.
//       若这么做,报错：………………………………………………cannot contain  path separator
//
//
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import android.app.Activity;
import android.os.Bundle;
import android.os.Environment;
import android.os.StatFs;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
public class TestSDCardActivity extends Activity {
   private Button SDbutton;
   private Button Filebutton;
   private TextView textView;
   private EditText editText;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        SDbutton=(Button) findViewById(R.id.Button1);
        Filebutton=(Button) findViewById(R.id.Button2);
        textView=(TextView) findViewById(R.id.textView);
        SDbutton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				if(Environment.getExternalStorageState().equals(Environment.MEDIA_MOUNTED)){//判断是否安装SDCard
					File SDFile=Environment.getExternalStorageDirectory();
					StatFs statFs=new StatFs(SDFile.getPath());
					long blockSize=statFs.getBlockSize();//块容量
					float blocksCount=statFs.getBlockCount();//块数量
					int sizeM=(int) ((blockSize*blocksCount)/1024/1024);//总容量
					long ableBlocks=statFs.getAvailableBlocks();//可用容量
					int percent=(int) ((ableBlocks/blocksCount)*100);//可用百分比
					textView.setText("SDCard使用情况如下:\n"+"blockSize="+blockSize+",totalBlocks="+blocksCount+",sizeM="+sizeM+",ableBlocks="+ableBlocks+"\n"+"使用率:\n"+percent+"%");
				}else{
					Toast.makeText(getApplicationContext(), "未找到SDCard", 1).show();
				}
			}
		});
        Filebutton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
			       editText =(EditText) findViewById(R.id.editeView);
			       String fileName=editText.getText().toString();
			       String filePath=Environment.getExternalStorageDirectory().toString()+"/"+fileName;
				   try {
					String result=read(filePath);
					Log.i("Tag", "result="+result);
					textView.setText(result);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
    }

	public String read(String filePath) throws Exception{
		//openFileInput方法的参数cannot contain  path separator
		File file=new File(filePath);
		FileInputStream inputStream=new FileInputStream(file);
		//FileInputStream inputStream=TestSDCardActivity.this.openFileInput(filePath);//注意这句代码！！！！！
		ByteArrayOutputStream outputStream=new ByteArrayOutputStream();
		byte [] b=new byte[1024];
		int len=0;
		while((len=inputStream.read(b))!=-1){
			outputStream.write(b, 0, len);
			Log.i("Tag", "len="+len);
		}
		outputStream.flush();
		String result=outputStream.toString("UTF-8");
		outputStream.close();
		inputStream.close();
		return result;
	}
}</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 01:09:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/exception/" title="exception">exception</a>, <a href="https://www.iamivan.net/tag/utf-8/" title="utf-8">utf-8</a>, <a href="https://www.iamivan.net/tag/view/" title="view">view</a>, <a href="https://www.iamivan.net/tag/activity/" title="activity">activity</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android利用StatFs查看SDCard物理信息的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Wrm7b.html" rel="bookmark">Linux常用查看硬件设备信息命令大全&lpar;值得收藏&rpar;&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				# uname -a # 查看内核/操作系统/CPU信息 # head -n 1 /etc/issue # 查看操作系统版本 # cat /proc/cpuinfo # 查看CPU信息 # hostname # 查看计算机名 # lspci -tv # 列出所有PCI设备 # lsusb -tv # 列出所有USB设备 # lsmod # 列出加载的内核模块 # env # 查看环境变量 资源 # free -m # 查看内存使用量和交换区使用量 # df -h # 查看各分区使用情况 # du			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEZROz.html" rel="bookmark">Android编程获取sdcard卡信息的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程获取sdcard卡信息的方法.分享给大家供大家参考,具体如下: public static SDCardInfo getSDCardInfo() { String sDcString = android.os.Environment.getExternalStorageState(); if (sDcString.equals(android.os.Environment.MEDIA_MOUNTED)) { File pathFile = android.os.E			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26mvrb.html" rel="bookmark">Android编程获取sdcard卡信息的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程获取sdcard卡信息的方法.分享给大家供大家参考,具体如下: public static SDCardInfo getSDCardInfo() { String sDcString = android.os.Environment.getExternalStorageState(); if (sDcString.equals(android.os.Environment.MEDIA_MOUNTED)) { File pathFile = android.os.E			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60nEoz.html" rel="bookmark">Android开发3&mdash;&mdash;查看和输出日志信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.错误级别 Error &gt; Warn &gt; Info &gt; Debug &gt; Verbose(冗余)     二.Android项目日志查看视图 Console视图只能看项目的部署到模拟器上的信息,开发日志信息只能在LogCat视图上看.在LogCat视图上有按钮可以进行错误级别的筛选.比如点击Info按钮,会显示错误级别大于等于Info级别的日志信息.       三.输出日志信息 private final String tag = &quot;xyLog&quot;; /** *			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8J4oBb.html" rel="bookmark">Android：StatFs类 获取系统&sol;sdcard存储空间信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在存储文件时,为了保证有充足的存储空间大小,通常需要知道系统内部或者sdcard的剩余存储空间大小,这里就需要用到StatFs类. 1. 判断 SDCard 是否存在,并且是否具有可读写权限  [java] view plaincopyprint? /** * 外部存储是否可用 (存在且具有读写权限) * @return */  staticpublicboolean isExternalStorageAvailable() {      return Environment.getExtern			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3joY0z.html" rel="bookmark">linux中利用dmidecode命令查看Linux服务器硬件信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于大部分普通服务器用户来说,我们选择VPS.服务器产品的时候比较关心的是产品的费用.服务器的速度以及稳定性,更有就是服务商家的服务(尤其不能跑路).随着我们使用服务器时间的推移,以及会看到各个不同的商家产品的时候,就会需要有所对比,严谨的用户会更为的关注产品的硬件配置信息.   因为在主机行业中,配置的差距关乎到产品的成本和费用,至少我们要弄明白不能被人忽悠.这不刚才一篇关于RAKsmart服务器评测文章的时候有接触到使用dmidecode命令查看服务器主板.硬盘等硬件信息.所以在这篇文章中,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26LeBb.html" rel="bookmark">SQL SERVER 利用存储过程查看角色和用户信息的写法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.查看服务器角色相关信息 SP_HELPSRVROLE SP_HELPSRVROLEMEMBER 服务器角色 SP_HELPSRVROLE 服务器角色 2.查看数据库角色相关信息 SP_HELPROLE SP_HELPROLEMEMBER 数据库角色 SP_HELPROLE 数据库角色 3.查看用户相关信息 SP_HELPUSER SP_HELPUSER 数据库用户名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQJ6Zz.html" rel="bookmark">Android log保存到sdcard上</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android log保存到sdcard上 Android 程序的log都默认保存在了/data/data/&lt;包&gt;/file/log下,不方便我查看:我要怎样才能把log下的所有log文件都输出到sdcard下 解决方案 可以建一个自己项目的目录,如何 project ,日志目录放在/project/log 像这样就可以了 解决方案二: android保存bitmap到sdcardAndroid--将数据保存到SDCard中Android 使用log4j 保存log日志信息至sdca			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWnXvz.html" rel="bookmark">Android利用ViewPager实现用户引导界面效果的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android利用ViewPager实现用户引导界面效果.分享给大家供大家参考,具体如下: 我相信有很多朋友在装完软件首次打开时,有很多软件都有一个软件功能介绍, 例如刚装完微信打开它,有很多介绍微信功能的图片,并且在屏幕下方有很多小圆点提示你当前图片的位置. 今天我就来实现这么个功能 所实现的功能: 1.可以左右滑动功能图片. 2.图片的索引 看出当前图片所在的位置. 3.可循环滑动. 4.图片的索引带有动画效果. 本次学习主要是利用ViewPager实现用户引导界面 在这里,我			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA79Jz.html" rel="bookmark" class="title">苹果-地球坐标系 转 火星坐标系之间误差怎么降低</a>
					<div>
						问题描述 地球坐标系 转 火星坐标系之间误差怎么降低 我在用苹果的MKMapView获取的坐标转换为 火星坐标之间产生误差很大,求大神指点:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b20oop.html" rel="bookmark" class="title">ORACLE9I中外部表的使用</a>
					<div>
						oracle ORACLE9I中外部表的使用 说明: 这个帖子讲述Oracle9I外部表(External Table)的初级使用. 什么是外部表? External table和正规的表很相似,具体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7J76b.html" rel="bookmark" class="title">Excel表格中如何制作&OpenCurlyDoubleQuote;专业符号&rdquo;工具栏</a>
					<div>
						1.执行&quot;工具→宏→录制新宏&quot;命令,打开&quot;录制新宏&quot;对话框,输入宏名?如&quot;fuhao1&quot;?并将宏保存在&quot;个人宏工作簿&quot;中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w86Jp.html" rel="bookmark" class="title">JS判断对象是否存在的10种方法总结</a>
					<div>
						 本篇文章主要是对JS判断对象是否存在的10种方法进行了总结介绍,需要的朋友可以过来参考下,希望对大家有所帮助 Javascript语言的设计不够严谨,很多地方一不小心就会出错. 举例来说,请考虑以下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjNoWb.html" rel="bookmark" class="title">如何让APP变快！</a>
					<div>
						  一.后台的执行 核心思想:通过在状态栏运行加载的程序的同时,可以使用户可以做其他的事情 举例说明: Instagram 当点击&quot;赞&quot;的按钮后,按钮的字样立马就变成了&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaV7kM.html" rel="bookmark" class="title">win7搜索功能不见了怎么办</a>
					<div>
						  一.Win7搜索不能用的原因: 1.权限受限,有可能你登陆的用户不是管理帐号,没有搜索功能的权限,也就是权限限制了. 2.也有可能搜索服务被关闭掉了,出现这一情况大多是使用了一些优化软件,优化软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oX2nb.html" rel="bookmark" class="title">12306怎么买下铺？</a>
					<div>
						  第一步:进入预定界面   如何在12306网站上购买上中下卧铺火车票呢? 如何用12306买下铺 第二步:鼠标放在硬卧(或软卧)上,单击鼠标右键,在下拉菜单中选择审查元素,然后会出现如下界面: 第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ7P8z.html" rel="bookmark" class="title">oracle数据库11&period;2&period;0&period;4 RAC CRS diskgroup auto dismount问题</a>
					<div>
						这几天出差到甘肃,某客户的集群有点小问题.其中节点的crs检测发现有点异常,不过怪异的是业务却没有受到任何影响.如下是我检测的结果: [grid@tysy1 bin]$ ocrcheck PROT-6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwEBrp.html" rel="bookmark" class="title">android jar包会不安全吗</a>
					<div>
						问题描述 android jar包会不安全吗 会不会jar包里的源码可以获取你应用的数据,或者获取你的源代码? 解决方案 这分为两个层面说,一个是在没有利用任何潜在的系统漏洞的情况下,那么你可以通过权 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My39Qlz.html" rel="bookmark" class="title">浏览器缓存机制</a>
					<div>
						利用浏览器缓存,可以使得页面加载速度提高,也减轻服务端压力.有几个比较重要点如下: 1. 浏览器是如何判断缓存是否过期? 2. 服务端如何判断缓存已失效? 3. 为什么有了Last-Modified还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN6Dmz.html" rel="bookmark" class="title">恢复-svn升级工作副本导致本地文件丢失</a>
					<div>
						问题描述 svn升级工作副本导致本地文件丢失 我本地一个文件夹A和svn服务器上的一个文件夹B目录结构相同,还有一个文件夹C是直接更新服务器上的文件夹B,今天右键A出来个&quot;svn升级工作副本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwEByM.html" rel="bookmark" class="title">c&plus;&plus;-调用gzip进行压缩的问题。gzip中的压缩功能函数是哪个？</a>
					<div>
						问题描述 调用gzip进行压缩的问题.gzip中的压缩功能函数是哪个? 如题,比如我用bzip2进行压缩,调用的是 BZ2_bzWrite(&amp;returnValue, mp_bzip2File ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAVKVp.html" rel="bookmark" class="title">spring MVC接收请求体总是多一个等号</a>
					<div>
						spring MVC接收请求体总是多一个等号 比如我发送的请求体是字符串aaa spring MVC 接收到的是aaa= 接口如下: /*** * @param requestInfoBean * @ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmvxxM.html" rel="bookmark" class="title">集成EaseUi群聊，怎么设置群聊中用户昵称头像。</a>
					<div>
						问题描述 解决方案 头像和昵称是用户自己的数据http://docs.easemob.com/doku.php?id=start:490integrationcases:10nickname自己实现下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqd1Wb.html" rel="bookmark" class="title">Windows 8将是PC操作系统的绝唱&quest;</a>
					<div>
						Salesforce.com创始人Marc Benioff最近在纽约举办的Cloudforce发布会上谈到了他对Windows 8的看法.他认为Windows 8将会称为PC平台系统的&quot;终结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Pdap.html" rel="bookmark" class="title">关于copy文件的问题文件</a>
					<div>
						问题描述 我要在WINFORM中COPY指定的名称的所有文件.如:在目录下有test.battest.txttest.md5等以test以命名的文件我都要COPY 解决方案 解决方案二:System. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5KWEp.html" rel="bookmark" class="title">Nginx 配置指令的执行顺序（一）</a>
					<div>
						大多数 Nginx 新手都会频繁遇到这样一个困惑,那就是当同一个 location 配置块使用了多个 Nginx 模块的配置指令时,这些指令的执行顺序很可能会跟它们的书写顺序大相径庭.于是许多人选择了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x3oZb.html" rel="bookmark" class="title">云服务器-求助啊！基于智能家居系统中，怎么在云计算平台实现？</a>
					<div>
						问题描述 求助啊!基于智能家居系统中,怎么在云计算平台实现? 当手机发送设置指令时是怎么一个流程?信息先传到云服务器,然后再传到家庭中心?云服务器是如何寻址找到家庭网关的?可以用阿里云这样的云服务来做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWV8jM.html" rel="bookmark" class="title">vb&period;net 中listview 数据复制</a>
					<div>
						问题描述 不知道怎么插图片大家听我描述吧有两个form,frm1和frm2,frm1中有一个listview1和一个button1:frm2中有一个listview2:初始只有frm1现在listvi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ63mp.html" rel="bookmark" class="title">智慧城市建设目前在国内呈现遍地开花之势</a>
					<div>
						智慧城市建设目前在国内呈现&quot;遍地开花&quot;之势.仅住建部公布的2013年度国家智慧城市试点总数已达193个,工信部公布的试点名单也达到140多个,80%以上的二级城市明确提出建设智慧城 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn3Nvp.html" rel="bookmark" class="title">派杰称维持微博股票增持评级</a>
					<div>
						摘要: 查看最新行情 北京时间8月15日晚间消息,美国投资银行派杰(Piper Jaffray)今日发布投资报告,维持 微博 股票(Nasdaq: WB )增持评级,将目标股价从25美元调高至26美元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NkdBb.html" rel="bookmark" class="title">这样的sql怎么写</a>
					<div>
						问题描述 select t1.ip, count(ip) aanum, d15mi from RPT_BAK_20120512 t1, where t1.type = '2' group by ip, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1W9ob.html" rel="bookmark" class="title">iOS10适配问题及解决方法 新鲜出炉&excl;&lowbar;IOS</a>
					<div>
						随着iOS10发布的临近,大家的App都需要适配iOS10,下面是我总结的一些关于iOS10适配方面的问题,如果有错误,欢迎指出. 1.系统判断方法失效: 在你的项目中,当需要判断系统版本的话,不要使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Ke7p.html" rel="bookmark" class="title">Jquery on方法绑定事件后执行多次的实现方法&lowbar;jquery</a>
					<div>
						这两天工作中遇到使用js动态加载内容,同时需要对加入的内容绑定点击事件的,当时想想了想可以使用内联的onclick 来实现,后来没有这样做,使用的是 on('click',function(){})  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Naj7z.html" rel="bookmark" class="title">memcache分布式部署的原理分析</a>
					<div>
						今天在封装memcache操作类库过程中,意识到一直以来对memcache的使用都是局限在单台服务器的情况下,还没有使用到memcache的分布式部署.虽然知道memcache的分布式是怎么回事,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44aPrz.html" rel="bookmark" class="title">jQuery使用after&lpar;&rpar;方法在元素后面添加多项内容的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery使用after()方法在元素后面添加多项内容的方法.分享给大家供大家参考.具体分析如下: jQuery可通过after()方法在元素后面添加多项内容,after()可以带多个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Y20p.html" rel="bookmark" class="title">css &plus;div实现两列多行样式实例代码</a>
					<div>
						记得以前用table进行网页布局时对于左右二列多行时觉得很麻烦,现在用css +div 来实现,我们只要设置大div的总宽,然后里面要排列的div只要二个宽度不大小总和小大div  总就会了, &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z447mjz.html" rel="bookmark" class="title">php连接远程mysql数据库实例</a>
					<div>
						语法 mysql_connect(servername,username,password); 例子 在下面的例子中,我们在一个变量中 ($con) 存放了在脚本中供稍后使用的连接.如果连接失败,将执 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLG2DM.html" rel="bookmark" class="title">个人电脑主板温度过高的原因及解决办法</a>
					<div>
						引起主板温度过高的原因有以下几点: 1.机箱内及主板灰尘多. 2.检查机箱排风通道不流畅以及风扇运转比较慢. 3.主板北桥散热器不牢固,北桥温度高会导致主板温度高. 4.同时运行多个程序以及多个游戏. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NvlAz.html" rel="bookmark" class="title">移动端html5&plus;css3技能使用总结</a>
					<div>
						首先是移动像素,对于px应该都不会觉得陌生,这是css针对浏览器设计的一种逻辑像素,是浏览器使用的抽象单位!dp.pt,江湖人称设备无关像素,也就是设备的物理像素!而dpr,设备像素的缩放比,是px和 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
